<?php
// $Id: columns.php,v 1.1 2006/10/19 17:27:27 agentken Exp $

/**
 * The theme function for this layout.
 */
function theme_mysite_layout($content) {
  // break the array into pieces
  $owner = $content['owner'];
  $mysite = $content['mysite'];
  $data = $content['data'];
  
  // wrap the output
  $output = '<div id="mysite">';
  $output .= '<div align="right">' . l(t("%name's profile", array('%name' =>$owner->name)), 'user/' . $owner->uid) . "</div>";
  $output .= '<table width="100%" cellpadding="10" cellspacing="0">';
  
  // cycle through the data
  $i = 0;
  foreach ($data as $key => $value) {
    $m = fmod($i, 2);
    if ($m == 0) {
      $output .= '<tr><td valign="top" width="50%">';
    }
    else {
      $output .= '<td valign="top" width="50%">';
    }  
    $output .= '<div class="group">';
    $output .= '<h2>' . $value['title']. "</h2>";
    if (!empty($value['output'])) {
      if (!empty($value['output']['image'])) {
        $output .= $value['output']['image'];
      }      
      $output .= theme('mysite_' . $value['format'] . '_item', $value['output']['items']);
      $output .= '<span class="more">' . l(t('read more'), $value['output']['base']) . '</span>';
    }
    else {
      $output .= t('<p>No content found.</p>');
    }
    $output .= ' <span class="actions">' . $value['actions'] . '</span> ';
    $output .= '</div>';
    if ($m == 0) {
      $output .= '</td>';
    }
    else {
      $output .= '</td></tr>';
    }      
    $i++;
  }
  $output .= '</table>';  
  $output .= '</div>';
  print theme('page', $output);
  return;
}